<template>
  <div class="text-center">
    <v-avatar color="primary" size="100">
      <v-img :src="require(`../assets/chuckNorris-${excludeChuckNorris ? 'exclude' : 'include'}.webp`)"
             class="my-3"
             contain
             @click="toggle"
      />
    </v-avatar>

    <p class="text-subtitle-2 mb-0">
      <span v-show="excludeChuckNorris">Exclude Chuck Norris jokes!</span>
      <span v-show="!excludeChuckNorris">Give me them all!</span>
    </p>

    <p class="text-caption">click to toggle</p>

  </div>
</template>

<script lang="ts">
import {Component, Prop, Vue} from "vue-property-decorator";

@Component
export default class ChuckNorrisToggler extends Vue {
  @Prop(Boolean) readonly initialState!: boolean;

  excludeChuckNorris = this.initialState;

  toggle() {
    this.excludeChuckNorris = !this.excludeChuckNorris;
    this.$emit('chuck-norris-toggle', this.excludeChuckNorris);
  }
}
</script>

<style scoped lang="scss">

.v-avatar {
  cursor: pointer;
}

</style>